{ ... }:
{
  imports = [
    ./disko-config.nix
    ./hardware-configuration.nix
  ];

  # todo : rename to component.init.ssh
  # todo : make tor optional
  configuration.init-ssh = {
    enable = "enabled";
    kernelModules = [ "e1000e" ];
  };

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.tmp.useTmpfs = true; # make /tmp a tmpfs (performance!)

  boot.supportedFilesystems = [ "zfs" ];
  # head -c4 /dev/urandom | od -A none -t x4
  networking.hostId = "e439b116";
  services.zfs.autoSnapshot.enable = true;

}
