{ config, lib, ... }:
let
  home = "/media/podcasts";
in
{
  services.castget = {
    enable = true;
    user = "media";
    feeds = {
      Alternativlos = {
        url = "https://alternativlos.org/alternativlos.rss";
        spool = "${home}/Alternativlos";
      };
      WohlstandFuerAlle = {
        url = "https://wohlstandfueralle.podigee.io/feed/mp3";
        spool = "${home}/Wohlstand für Alle";
      };
      DieNeuenZwanziger = {
        url = "https://neuezwanziger.de/feed/mp3/";
        spool = "${home}/Die Neuen Zwanziger";
      };
    };
  };
}
