{ config, ... }:
{

  users.groups."media".gid = config.ids.gids.transmission;
  users.users."media" = {
    uid = config.ids.uids.transmission;
    useDefaultShell = true;
    home = "/home/media";
    createHome = true;
    group = "media";
  };

  services.permown."/media/media" = {
    owner = "media";
    group = "media";
    directory-mode = "770";
    file-mode = "770";
  };


}
