{ pkgs, ... }:
with pkgs;
{
  programs.tmux = {
    enable = true;
    aggressiveResize = true;
    baseIndex = 1;
    clock24 = true;
    historyLimit = 150000;
    keyMode = "vi";
    mouse = true;
    secureSocket = true;
  };
}
